Connections
Rotate connection credentials
Generates new credentials for the connection with the given ID. Revocation of the previous credentials is best-effort.
POST
/v1/connections/{id}/rotateGenerates new credentials for the connection with the given ID. Revocation of the previous credentials is best-effort.
AuthorizationBearer <token>
OAuth2 authentication
In: header
Scope: workspace:admin, offline_access
Path Parameters
id*string
Match
^(con_)?([cC][^\s-]{8,}|[a-z0-9]+)$Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/v1/connections/string/rotate"{ "data": { "id": "string", "type": "connection", "url": "http://example.com", "name": "string", "createdAt": "2019-08-24T14:15:22Z", "kind": "postgres", "endpoints": { "direct": { "host": "string", "port": 0, "connectionString": "string" }, "pooled": { "host": "string", "port": 0, "connectionString": "string" }, "accelerate": { "host": "string", "port": 0, "connectionString": "string" } }, "connectionString": "string", "directConnection": { "host": "string", "pass": "string", "user": "string" }, "database": { "id": "string", "url": "http://example.com", "name": "string" }, "host": "string", "pass": "string", "user": "string" }}